import { WithChildren } from '../with-children-type';
import { BaseTheme } from './turkeydev-theme';
export declare const WHITE = "#ffffff";
export declare const BLACK = "#000000";
export declare const CC_BLUE_DARK = "#00687D";
export declare const CC_BLUE = "#009FBF";
export declare const OFF_WHITE = "#d8d8d8";
export declare const GRAY_BLUISH = "#343A40";
export declare const DARK_GRAY_BLUISH = "#212529";
export declare const ALMOST_WHITE = "#fafafa";
export declare const defaultLightTheme: BaseTheme;
export declare const defaultDarkTheme: BaseTheme;
export declare const defaultJustRed: BaseTheme;
type ThemeContextType = {
    readonly setTheme: (newTheme: string) => void;
    readonly theme: string;
};
export declare const useThemeContext: () => ThemeContextType;
type ThemeContextProviderProps = WithChildren & {
    readonly themes?: readonly {
        readonly name: string;
        readonly theme: BaseTheme;
    }[];
};
export declare const ThemeContextProvider: ({ children, themes }: ThemeContextProviderProps) => import("react/jsx-runtime").JSX.Element;
export {};
//# sourceMappingURL=theme.d.ts.map