/// <reference types="react" />
import { WithChildren } from '../with-children-type';
type ToastContextType = {
    readonly pushToast: (component: JSX.Element) => void;
};
export declare const useToast: () => ToastContextType;
type ToastProps = WithChildren & {
    readonly maxShown?: number;
};
export declare const Toast: ({ children, maxShown }: ToastProps) => import("react/jsx-runtime").JSX.Element;
export {};
//# sourceMappingURL=toast-context.d.ts.map