type AdditionalOptions<T> = {
    readonly requestData?: RequestInit;
    readonly shouldThrow?: boolean;
};
type ExtraData<T> = {
    readonly error: string | undefined;
};
export declare function useQuery<T>(url: string, options?: AdditionalOptions<T>): readonly [(body?: string, pathParams?: string, queryParams?: string) => Promise<T | null>, boolean, ExtraData<T>];
export {};
//# sourceMappingURL=use-query.d.ts.map