/// <reference types="react" />
import { WithChildren } from '../with-children-type';
export declare const BackgroundWrapper: import("styled-components").IStyledComponent<"web", import("styled-components/dist/types").FastOmit<import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, never>>;
export declare const ModalContent: import("styled-components").IStyledComponent<"web", import("styled-components/dist/types").FastOmit<import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, never>>;
type ModalProps = WithChildren & {
    readonly show: boolean;
    readonly requestClose?: () => void;
};
export declare const Modal: ({ show, requestClose, children }: ModalProps) => import("react/jsx-runtime").JSX.Element;
export declare const ModalNoBG: ({ children, show }: ModalProps) => import("react/jsx-runtime").JSX.Element;
export {};
//# sourceMappingURL=base-modal.d.ts.map